#include "filelist.h"
#include <QMimeData>
#include <QUrl>

FileList::FileList(QWidget *parent) :
    QTableWidget(parent)
{
    setHorizontalHeaderLabels(QStringList()<<"File"<<"Type");
    this->setAcceptDrops(true);
}

void FileList::dragEnterEvent(QDragEnterEvent *event)
{
    event->acceptProposedAction();
}

void FileList::dragMoveEvent(QDragMoveEvent *event)
{
    event->acceptProposedAction();
}

void FileList::dropEvent(QDropEvent *event)
{
    const QMimeData* mimeData = event->mimeData();

        if (mimeData->hasUrls())
        {
            QStringList pathList;
            QList<QUrl> urlList = mimeData->urls();

            for (int i = 0; i < urlList.size() && i < 32; ++i)
            {
                pathList.append(urlList.at(i).toLocalFile());
            }
            emit openFiles(pathList);
            event->acceptProposedAction();
        }
}
